Debian Bug report logs - #689098
RFP: cdesktopenv -- CDE, the classic unix desktop

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Isaac Dunham <ibid_ag@lavabit.com>

Date: Sat, 29 Sep 2012 02:21:02 UTC

Severity: wishlist

Merged with 697097

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#689098; Package wnpp. (Sat, 29 Sep 2012 02:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Isaac Dunham <ibid_ag@lavabit.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sat, 29 Sep 2012 02:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Isaac Dunham <ibid_ag@lavabit.com>
To: submit@bugs.debian.org
Subject: RFP: cdesktopenv -- CDE, the classic unix desktop
Date: Fri, 28 Sep 2012 19:19:14 -0700
Package: wnpp
Severity: wishlist

As some may have heard, CDE (the desktop that was once standard on Unix systems) has been open-sourced under the LGPL, version 2.0. The website is 
http://sourceforge.net/projects/cdesktopenv/
and source is available from 
http://sourceforge.net/projects/cdesktopenv/files/src/
git://git.code.sf.net/p/cdesktopenv/code

There are several potential issues to watch when packaging:
-It requires OpenMotif; this means it has to stay in contrib/ for now, but according to the developers, relicensing OpenMotif to LGPL2.0 is well underway.
-All patches should be MIT if possible; they hope to relicense at some point.
-It is hard-coded to install in /usr/dt; this might be fixed with a simple find/replace?
-The install script does not respect DESTDIR; you must patch it to package properly (the Arch PKGBUILD does this)
-Needs (preferably) ksh93 (or mksh), tcl, rpcbind/portmapper, g++, libxp (!) for full build.
-There's a patch to use libtirpc authentication; without this, rpcbind must be run in insecure mode.
-the install script (admin/IntegTools/dbTools/installCDE) recognizes 20+ packages; if you don't use these, it still needs to be split into at least 5-6 packages:
libDt*: CDE libraries
libTt*: ToolTalk libraries
tt*: Tooltalk executables
dt*: CDE binaries; may need splitting up (make dtterm provide x-terminal-emulator; make dtwm provide a windowmanager; make dtlogin provide a display manager)
Data: 
cde-config: including themes, icons (may require patches to put in the standard place!), configfiles
cde-help: helpfiles (& perhaps manpages, if those don't go with the binaries)
Data should at least be split in 2 packages, due to its large size.
A full tar.xz of the install runs 120+ MB.

Thank you, 
Isaac Dunham




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#689098; Package wnpp. (Wed, 24 Oct 2012 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Isaac Dunham <ibid_ag@lavabit.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 24 Oct 2012 23:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 689098@bugs.debian.org (full text, mbox):

From: Isaac Dunham <ibid_ag@lavabit.com>
To: 689098@bugs.debian.org
Subject: One blocker down: OpenMotif is now LGPL
Date: Wed, 24 Oct 2012 16:16:07 -0700
OpenMotif (2.3.4) has now been released as LGPL[1], so once it's packaged, CDE could go in main.

[1] http://motif.ics.com/motif

-- 
Isaac Dunham <ibid_ag@lavabit.com>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#689098; Package wnpp. (Tue, 25 Dec 2012 06:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 25 Dec 2012 06:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 689098@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: 689098@bugs.debian.org
Subject: Working on openmotif, prerequisite for cdesktopenv
Date: Tue, 25 Dec 2012 07:22:05 +0100
[Message part 1 (text/plain, inline)]
Hi,

I just want to document in this bug, that we are currently discussing
[1] how to get openmotif into shape again (in main). So you *could*
consider this bug blocked by bug 695130 [2] and 691393 [3].

Any taker for cdesktopenv should check on progress there.

Paul

[1] https://lists.debian.org/debian-devel/2012/12/msg00369.html and
follow-ups
[2] http://bugs.debian.org/695130 (orphanage/adoption)
[3] http://bugs.debian.org/691393 (new release)

[signature.asc (application/pgp-signature, attachment)]

Merged 689098 697097 Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Tue, 01 Jan 2013 18:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#689098; Package wnpp. (Tue, 19 Feb 2013 00:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 19 Feb 2013 00:06:03 GMT) Full text and rfc822 format available.

Message #22 received at 689098@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Isaac Dunham <ibid_ag@lavabit.com>
Cc: Paul Gevers <elbrus@debian.org>, 689098@bugs.debian.org
Subject: Re: One blocker down: OpenMotif is now LGPL
Date: Tue, 19 Feb 2013 01:01:23 +0100
> OpenMotif (2.3.4) has now been released as LGPL[1], so
> once it's packaged, CDE could go in main.

FYI,

openmotif is now in NEW, waiting to be accepted into experimental/main.

Cheers,

Adrian

> [1] http://ftp-master.debian.org/new/motif_2.3.4-1.html

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz@debian.org
`. `'   Freie Universitaet Berlin - glaubitz@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:30:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.